package physbeans.event;

import java.util.*;

/**
 * Event used to inform the observers to proceed one step
 */
public class NextStepEvent extends EventObject {

  /** current time for this event */
  protected double time;

  /**
   * constructor using the event source
   */
  public NextStepEvent(Object source) {
    super(source);
  }

  /**
   * constructor using the event source and the current time
   */
  public NextStepEvent(Object source, double time) {
    super(source);
    this.time = time;
  }

  /**
   * returns current time
   */
  public double getValue() {
    return time;
  }
}
