package physbeans.event;

import java.util.*;

/**
 * Event used to tell that the timer has reached the stop time.
 */
public class StopEvent extends EventObject {

  /** value of stop time */
  protected double stopTime;

  /**
   * constructor using the event source
   */
  public StopEvent(Object source) {
    super(source);
  }

  /**
   * constructor using the event source and the stop time
   */
  public StopEvent(Object source, double time) {
    super(source);
    stopTime = time;
  }

  /**
   * returns stop time
   */
  public double getValue() {
    return stopTime;
  }
}
