package physbeans.func;

/**
 * Function that selects one of a list of objects.
 */
public class ObjectSwitch extends GenericFunction {
  
  protected Object[] objectList;
  protected int selectedInput;       // number of selectedInput object
  
  /** Creates a default ObjectSwitch */
  public ObjectSwitch() {
    super();
  }
  
  /**
   * Nothing to compute.
   */
  protected void compute() {
  }
  
  /**
   * Gets active object.
   */
  public Object getActiveObject() {
    return objectList[selectedInput];
  }
  
  /**
   * Gets array of all objects.
   */
  public Object[] getAllObjects() {
    return objectList;
  }
  
  
  /**
   * Sets array of all objects.
   */
  public void setAllObjects(Object[] obj) {
    objectList = obj;
    setSelectedInput(0);
  }
  
  /**
   * Gets index of selected object.
   */
  public int getSelectedInput() {
    return selectedInput;
  }
  
  /**
   * Sets index of selected object.
   */
  public void setSelectedInput(int n) {
    selectedInput = n;
    if (autoTriggered) {
      inform();
    }
  }
  
}
