package physbeans.inout;

import java.beans.*;

import physbeans.model.*;

/**
 * TextSlider with integer values
 */
public class IntegerTextSlider extends TextSlider {
  
  /**
   * creates an IntegerTextSlider with default values
   */
  public IntegerTextSlider() {
    super();
    setModel(new BoundedRealModel(0.0, 50.0, 100.0));
  }
  
  /**
   * sets slider and text field to the nearest integer to double value f
   */
  public void setValueInternally(double f) {
    super.setValueInternally(Math.rint(f));
  }
  
  /**
   * gets current value as integer
   */
  public int getValueAsInt() {
    return (int) Math.round(getValue());
  } 
}
