package physbeans.phys;

/**
 * Physical constants in basic SI units.
 */
public class Constants {

  private Constants() {
  }
  /** free fall acceleration in m/s<sup>2</sup> */
  final static public double G = 9.80665;
  /** dielectric constant in F/m */
  final static public double EPSILON0 = 8.854187817e-12;
  /** elementary charge in C  */
  final static public double E0 = 1.60217653e-19;
  /** universal gas constant in J/(mol K)  */
  final static public double R = 8.31;
  /** 0 &deg;C in K  */
  final static public double T0K = 273.15;
  /** Planck's constant over 2 pi in J s */
  final static public double HBAR = 1.05457168e-34;
  /** electron mass in kg  */
  final static public double ME = 9.1093826e-31;
}
