package physbeans.phys;

import physbeans.event.*;

/**
 * A WaveSource disturbs the surface of a RippleTank to create waves.
 */
public abstract class WaveSource extends PhysModel {
  
  /**
   * Sets points on the surface at time t.
   */
  public abstract void stirTank(RippleTank tank, double t);
  
  /**
   * Adds a TriggerListener.
   * <P>Triggers immediately to announce the WaveSource (usually to a RippleTank).
   */
  public synchronized void addTriggerListener(TriggerListener l) {
    super.addTriggerListener(l);
    trigger();   // inform listener immediately
  }
}
